If turnoff the screen setting set to 'never' screen turns off instantly

Bug #863038 reported by Aslam Muhammad on 2011-09-30
242
This bug affects 44 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Undecided
Rodrigo Moya
gnome-session (Ubuntu)
High
Rodrigo Moya

Bug Description

If turnoff the screen setting set to 'never' screen turns off instantly!!!

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-control-center 1:3.2.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
NonfreeKernelModules: wl
ApportVersion: 1.23-0ubuntu2
Architecture: i386
Date: Fri Sep 30 09:17:59 2011
ExecutablePath: /usr/bin/gnome-control-center
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta i386 (20110901)
SourcePackage: gnome-control-center
UpgradeStatus: No upgrade log present (probably fresh install)
usr_lib_gnome-control-center:
 deja-dup 20.0-0ubuntu3
 gnome-bluetooth 3.2.0-0ubuntu1
 indicator-datetime 0.3.0-0ubuntu1

Aslam Muhammad (aslamckra) wrote :
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Rodrigo Moya (rodrigo-moya)
status: New → In Progress
Changed in gnome-settings-daemon (Ubuntu):
assignee: nobody → Rodrigo Moya (rodrigo-moya)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.2.0-0ubuntu4

---------------
gnome-control-center (1:3.2.0-0ubuntu4) oneiric; urgency=low

  * debian/control:
    - Build-Depend on the libnm-gtk version that has the missing .pc file
  * debian/patches/53_use_ubuntu_help.patch:
    - Remove extra '\' in Description: line
  * debian/patches/12_add_never_turn_screen_off.patch:
    - Remove a code check that was preventing the 'Never turn off screen'
      option to be selected in the combo box (LP: #863038)
 -- Rodrigo Moya <email address hidden> Thu, 29 Sep 2011 14:01:11 +0200

Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Released
open007 (open07) wrote :

OK, I have gnome-control-center-1:3.2.0-0ubuntu4 .... Well, the old problem is fixed, ie. finally i am able to set my "Turn off after" to "Never" with the setting saved, instead of it reverting back to "1 minute" and the screen dimming immediately without activity. However, it seems the old problem remains, ie. screen dimming immediately without activity, when I set it to "Never". Please check again.

pablomme (pablomme) wrote :

@open007: there is a gnome-settings-daemon task marked "in progress", so the bug is not supposed to be fixed yet.

W Karaki (wafaa-karaki) wrote :

I have to agree with the above comment. Just updated, while the screen now saves the "Never" setting, it still dims instantly.
The bug needs further checking.
Gnome control center 1:3.2.0-0ubuntu4
Ubuntu 11.10 beta

Martin Albisetti (beuno) wrote :

Same problem. Set to never, dims immediately.

That's not the case on my System. When I set to never, the Screen stays bright, but the buttom panel (I'm using gnome shell) comes up every time I move the mouse (or type). This goes away if I revert the setting to anything but "never".

Omid Mottaghi (omidmottaghi) wrote :

Thorsten, do not move your mouse totally, then you can see your bug is this bug!

affects: gnome-settings-daemon (Ubuntu) → gnome-screensaver (Ubuntu)
alex (alcyxob) wrote :

I have this bug too. When pick 'Never' screen dims instantly.

also affecting me on lubuntu with installed gnome-screensaver

Greg Lund-Chaix (gchaix) wrote :

Uninstalling gnome-screensaver and killing the gnome-screensaver daemon (if it's running) prevents this bug from rearing its ugly little head. Of course that also kills the screen lock, but at least the system is usable.

Bryce Harrington (bryce) on 2011-10-04
Changed in gnome-screensaver (Ubuntu):
importance: Undecided → Critical
importance: Critical → High

I ran gnome-control-center from terminal and activated screen-cc-panel (I am running desktop system without battery)
Got this warining:

(gnome-control-center:5897): screen-cc-panel-WARNING **: Error getting brightness: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_5fpower_5fmanager_5ferror.Code0: gsd-backlight-helper failed: No backlights were found on your system

From http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/oneiric/gnome-control-center/oneiric/view/head:/panels/screen/cc-screen-panel.c, it seems like

set_brightness_cb (GObject *source_object, GAsyncResult *res, gpointer user_data) is called. Is it necessary to call this method on a system with only ac-power?

Just activated cc-power-panel from gnome-contro-center l, and one option "When power is critically low" with suspend/hibernate combobox is visible. Should be hidden/disabled for ac-system.

affects: gnome-screensaver (Ubuntu) → gnome-session (Ubuntu)
Rodrigo Moya (rodrigo-moya) wrote :

There is a missing fix in g-c-c, so opening that task

Changed in gnome-control-center (Ubuntu):
status: Fix Released → In Progress
Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Committed
Changed in gnome-session (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.2.0-0ubuntu6

---------------
gnome-control-center (1:3.2.0-0ubuntu6) oneiric; urgency=low

  * debian/patches/00git_use_correct_sleep_timeout_when_disabled.patch:
    - Don't set gnome-session's idle-delay to 1 never (LP: #863038)
 -- Rodrigo Moya <email address hidden> Thu, 06 Oct 2011 12:19:58 +0200

Changed in gnome-control-center (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 3.2.0-0ubuntu3

---------------
gnome-session (3.2.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/00git_dont_idle_on_0_timeouts.patch:
    - Avoid using an idle timeout at all when the time is 0 (LP: #863038)
 -- Rodrigo Moya <email address hidden> Thu, 06 Oct 2011 12:36:00 +0200

Changed in gnome-session (Ubuntu):
status: Fix Committed → Fix Released

Works for me now, thank you.

Guruprasad (lgp171188) wrote :

Doesn't work for me. I have renamed the gnome-screensaver binary to something else to have a usable desktop. I have all the updates installed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions